import { BsDatepickerConfig } from 'ngx-bootstrap/datepicker';
import { InlineValue } from '../../abstract/inline-value';
/**
 * HTML string of the date-range component.
 */
export declare const dateRangeComponentHtml: string;
/**
 * LF date-range component.
 */
export declare class DateRangeComponent extends InlineValue {
    _dummyValue: [Date, Date] | null;
    protected _settingValue: boolean;
    protected _disposeDateRangeAutorun: () => void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Format for a single date.
     */
    readonly dateFormat: any;
    /**
     * Separator used between the dates in the date-range.
     */
    readonly separator: any;
    /**
     * Placeholder of the `input` field.
     */
    readonly placeholder: string;
    /**
     * Whether to show the "is required" icon on the component.
     */
    readonly showIsRequired: boolean;
    /**
     * Configuration to use by Bootstrap datepicker.
     */
    readonly bsConfig: Partial<BsDatepickerConfig>;
    /**
     * Action to run whenever the date range is modified via the Bootstrap
     * datepicker UI.
     * @param tuple Tuple representing the range.
     */
    _onDateRangePickerChange(tuple: [Date, Date] | null): void;
    /**
     * @override
     */
    _onBlur(evt: FocusEvent): void;
    /**
     * @override
     */
    protected validatePath(): void;
}
