import { BsDatepickerConfig } from 'ngx-bootstrap/datepicker';
import { InlineValue } from '../../abstract/inline-value';
/**
 * HTML string of the date component.
 */
export declare const dateComponentHtml: string;
/**
 * LF date component.
 */
export declare class DateComponent extends InlineValue {
    /**
     * Format of the date.
     */
    readonly dateFormat: any;
    /**
     * Placeholder of the `input` field.
     */
    readonly placeholder: any;
    /**
     * Whether to show the "is required" icon on the component.
     */
    readonly showIsRequired: boolean;
    /**
     * Config for the `BsDatepicker`.
     */
    readonly bsConfig: Partial<BsDatepickerConfig>;
    /**
     * Action to run whenever the date `input` changes.
     * @param date Date to set.
     */
    _onDatePickerChange(date: Date | null): void;
    /**
     * @override
     */
    protected validatePath(): void;
}
