import { InlineValue } from '../../abstract/inline-value';
/**
 * HTML string of the textarea component.
 */
export declare const textareaComponentHtml: string;
/**
 * Component used for editing a "multiple lines" LF string.
 */
export declare class TextareaComponent extends InlineValue {
    /**
     * Initial height of the textarea (CSS measurement string).
     */
    initialHeight: string;
    /**
     * Whether to show the "is required" icon on the component.
     */
    readonly showIsRequired: boolean;
    /**
     * Action to run on every `input` event of the textarea input.
     * @param evt `input` event.
     */
    _onInput(evt: any): void;
    /**
     * @override
     */
    protected validatePath(): void;
}
